Customers
Create customer
Creates a customer and returns the created CustomerDetail object, including any attributes set on it. Pass attributes to set custom attribute values on the new customer (each targets an existing store attribute by key).
POST
/
customers
Create customer
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"loyalty_tier_id": "<string>",
"loyalty_tier_starting_point": 123,
"email": "jsmith@example.com",
"phone": "<string>",
"country_code": "<string>",
"customer_group_id": "<string>",
"business": {
"name": "<string>",
"registered_address": {
"first_name": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"address_line1": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"last_name": "<string>",
"country_code": "+91",
"address_line2": "<string>",
"landmark": "<string>",
"country": "India",
"business_name": "<string>",
"tax_identification_number": "<string>",
"is_default_shipping": false
}
},
"status": "active",
"tags": [
"<string>"
],
"attributes": [
{
"key": "<string>",
"value": "<string>"
}
],
"metadata": {}
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"loyalty_tier_id": "<string>",
"loyalty_tier_starting_point": 123,
"email": "jsmith@example.com",
"phone": "<string>",
"country_code": "<string>",
"customer_group_id": "<string>",
"business": {
"name": "<string>",
"registered_address": {
"first_name": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"address_line1": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"last_name": "<string>",
"country_code": "+91",
"address_line2": "<string>",
"landmark": "<string>",
"country": "India",
"business_name": "<string>",
"tax_identification_number": "<string>",
"is_default_shipping": False
}
},
"status": "active",
"tags": ["<string>"],
"attributes": [
{
"key": "<string>",
"value": "<string>"
}
],
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
loyalty_tier_id: '<string>',
loyalty_tier_starting_point: 123,
email: 'jsmith@example.com',
phone: '<string>',
country_code: '<string>',
customer_group_id: '<string>',
business: {
name: '<string>',
registered_address: {
first_name: '<string>',
phone: '<string>',
email: 'jsmith@example.com',
address_line1: '<string>',
pincode: '<string>',
city: '<string>',
state: '<string>',
last_name: '<string>',
country_code: '+91',
address_line2: '<string>',
landmark: '<string>',
country: 'India',
business_name: '<string>',
tax_identification_number: '<string>',
is_default_shipping: false
}
},
status: 'active',
tags: ['<string>'],
attributes: [{key: '<string>', value: '<string>'}],
metadata: {}
})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'first_name' => '<string>',
'last_name' => '<string>',
'loyalty_tier_id' => '<string>',
'loyalty_tier_starting_point' => 123,
'email' => 'jsmith@example.com',
'phone' => '<string>',
'country_code' => '<string>',
'customer_group_id' => '<string>',
'business' => [
'name' => '<string>',
'registered_address' => [
'first_name' => '<string>',
'phone' => '<string>',
'email' => 'jsmith@example.com',
'address_line1' => '<string>',
'pincode' => '<string>',
'city' => '<string>',
'state' => '<string>',
'last_name' => '<string>',
'country_code' => '+91',
'address_line2' => '<string>',
'landmark' => '<string>',
'country' => 'India',
'business_name' => '<string>',
'tax_identification_number' => '<string>',
'is_default_shipping' => false
]
],
'status' => 'active',
'tags' => [
'<string>'
],
'attributes' => [
[
'key' => '<string>',
'value' => '<string>'
]
],
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers"
payload := strings.NewReader("{\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"loyalty_tier_id\": \"<string>\",\n \"loyalty_tier_starting_point\": 123,\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"country_code\": \"<string>\",\n \"customer_group_id\": \"<string>\",\n \"business\": {\n \"name\": \"<string>\",\n \"registered_address\": {\n \"first_name\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"address_line1\": \"<string>\",\n \"pincode\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"last_name\": \"<string>\",\n \"country_code\": \"+91\",\n \"address_line2\": \"<string>\",\n \"landmark\": \"<string>\",\n \"country\": \"India\",\n \"business_name\": \"<string>\",\n \"tax_identification_number\": \"<string>\",\n \"is_default_shipping\": false\n }\n },\n \"status\": \"active\",\n \"tags\": [\n \"<string>\"\n ],\n \"attributes\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"loyalty_tier_id\": \"<string>\",\n \"loyalty_tier_starting_point\": 123,\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"country_code\": \"<string>\",\n \"customer_group_id\": \"<string>\",\n \"business\": {\n \"name\": \"<string>\",\n \"registered_address\": {\n \"first_name\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"address_line1\": \"<string>\",\n \"pincode\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"last_name\": \"<string>\",\n \"country_code\": \"+91\",\n \"address_line2\": \"<string>\",\n \"landmark\": \"<string>\",\n \"country\": \"India\",\n \"business_name\": \"<string>\",\n \"tax_identification_number\": \"<string>\",\n \"is_default_shipping\": false\n }\n },\n \"status\": \"active\",\n \"tags\": [\n \"<string>\"\n ],\n \"attributes\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"loyalty_tier_id\": \"<string>\",\n \"loyalty_tier_starting_point\": 123,\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"country_code\": \"<string>\",\n \"customer_group_id\": \"<string>\",\n \"business\": {\n \"name\": \"<string>\",\n \"registered_address\": {\n \"first_name\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"address_line1\": \"<string>\",\n \"pincode\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"last_name\": \"<string>\",\n \"country_code\": \"+91\",\n \"address_line2\": \"<string>\",\n \"landmark\": \"<string>\",\n \"country\": \"India\",\n \"business_name\": \"<string>\",\n \"tax_identification_number\": \"<string>\",\n \"is_default_shipping\": false\n }\n },\n \"status\": \"active\",\n \"tags\": [\n \"<string>\"\n ],\n \"attributes\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"success": true,
"content": {
"customer": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"profile_image_url": "<string>",
"country_code": "<string>",
"phone": "<string>",
"email": "<string>",
"is_phone_verified": true,
"is_email_verified": true,
"is_whatsapp_verified": true,
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"last_seen": "<string>",
"kyc_status": "pending",
"is_verified": true,
"customer_group_id": "<string>",
"tags": [
"<string>"
],
"business": {
"name": "<string>",
"business_type": "<string>",
"pan_number": "<string>",
"gstin": "<string>",
"is_registered_under_gst": true
},
"segments": [
{
"id": "<string>",
"name": "<string>"
}
],
"address": {
"first_name": "<string>",
"phone": "<string>",
"email": "<string>",
"address_line1": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"id": "<string>",
"last_name": "<string>",
"country_code": "<string>",
"address_line2": "<string>",
"landmark": "<string>",
"gstin": "<string>",
"business_name": "<string>",
"is_phone_verified": true,
"is_email_verified": true,
"is_default_shipping": true,
"is_default_billing": true,
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
},
"addresses": [
{
"first_name": "<string>",
"phone": "<string>",
"email": "<string>",
"address_line1": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"id": "<string>",
"last_name": "<string>",
"country_code": "<string>",
"address_line2": "<string>",
"landmark": "<string>",
"gstin": "<string>",
"business_name": "<string>",
"is_phone_verified": true,
"is_email_verified": true,
"is_default_shipping": true,
"is_default_billing": true,
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
],
"banking": [
{
"account_type": "inbound",
"account_name": "<string>",
"account_number": "<string>",
"ifsc_code": "<string>",
"bank_name": "<string>",
"id": "<string>",
"is_default": true,
"is_verified": true,
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
],
"loyalty": {
"customer_id": "<string>",
"customer_name": "<string>",
"membership_number": "<string>",
"points_earned": 123,
"points_redeemed": 123,
"points_balance": 123,
"total_spent": 123,
"total_orders": 123,
"lifetime_spent": 123,
"lifetime_orders": 123,
"date_of_join": "2023-11-07T05:31:56Z",
"date_of_assign": "2023-11-07T05:31:56Z",
"date_of_reset": "2023-11-07T05:31:56Z",
"current_tier": {
"id": "<string>",
"name": "<string>"
},
"next_tier": {
"id": "<string>",
"name": "<string>",
"total_spent_threshold": 1,
"total_orders_threshold": 1
},
"name": "<string>",
"renewal_type": "yearly",
"tier_upgrade_criteria": "total-spent"
},
"notification_preferences": {
"transactional": {
"email": true,
"sms": true,
"whatsapp": true
},
"promotional": {
"email": true,
"sms": true,
"whatsapp": true
},
"newsletter": {
"email": true,
"sms": true,
"whatsapp": true
}
},
"attributes": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"kind": "custom",
"link": {
"type": "kyc_document",
"document_type": "<string>"
},
"is_linked": true,
"value": "<string>",
"attribute_type": "String",
"is_readonly": true,
"is_pinned": true,
"active": true,
"is_visible": true,
"is_filterable": true,
"last_updated_at": "2023-11-07T05:31:56Z"
}
],
"metadata": {}
}
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"errors": {}
}Authorizations
Body
application/json
Names, email, phone, country code, group and tier IDs, status, and tag items, where supported, are trimmed of surrounding whitespace and reject blank or whitespace-only strings.
Assigns the customer to a Customer Group for group-specific pricing and promotions. Required and non-null when the store has customer groups enabled; otherwise optional. Null leaves the customer without a group when customer groups are disabled. A non-null ID must belong to the store's configured groups.
Required string length:
1 - 255Was this page helpful?
⌘I
Create customer
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"loyalty_tier_id": "<string>",
"loyalty_tier_starting_point": 123,
"email": "jsmith@example.com",
"phone": "<string>",
"country_code": "<string>",
"customer_group_id": "<string>",
"business": {
"name": "<string>",
"registered_address": {
"first_name": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"address_line1": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"last_name": "<string>",
"country_code": "+91",
"address_line2": "<string>",
"landmark": "<string>",
"country": "India",
"business_name": "<string>",
"tax_identification_number": "<string>",
"is_default_shipping": false
}
},
"status": "active",
"tags": [
"<string>"
],
"attributes": [
{
"key": "<string>",
"value": "<string>"
}
],
"metadata": {}
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"loyalty_tier_id": "<string>",
"loyalty_tier_starting_point": 123,
"email": "jsmith@example.com",
"phone": "<string>",
"country_code": "<string>",
"customer_group_id": "<string>",
"business": {
"name": "<string>",
"registered_address": {
"first_name": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"address_line1": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"last_name": "<string>",
"country_code": "+91",
"address_line2": "<string>",
"landmark": "<string>",
"country": "India",
"business_name": "<string>",
"tax_identification_number": "<string>",
"is_default_shipping": False
}
},
"status": "active",
"tags": ["<string>"],
"attributes": [
{
"key": "<string>",
"value": "<string>"
}
],
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
loyalty_tier_id: '<string>',
loyalty_tier_starting_point: 123,
email: 'jsmith@example.com',
phone: '<string>',
country_code: '<string>',
customer_group_id: '<string>',
business: {
name: '<string>',
registered_address: {
first_name: '<string>',
phone: '<string>',
email: 'jsmith@example.com',
address_line1: '<string>',
pincode: '<string>',
city: '<string>',
state: '<string>',
last_name: '<string>',
country_code: '+91',
address_line2: '<string>',
landmark: '<string>',
country: 'India',
business_name: '<string>',
tax_identification_number: '<string>',
is_default_shipping: false
}
},
status: 'active',
tags: ['<string>'],
attributes: [{key: '<string>', value: '<string>'}],
metadata: {}
})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'first_name' => '<string>',
'last_name' => '<string>',
'loyalty_tier_id' => '<string>',
'loyalty_tier_starting_point' => 123,
'email' => 'jsmith@example.com',
'phone' => '<string>',
'country_code' => '<string>',
'customer_group_id' => '<string>',
'business' => [
'name' => '<string>',
'registered_address' => [
'first_name' => '<string>',
'phone' => '<string>',
'email' => 'jsmith@example.com',
'address_line1' => '<string>',
'pincode' => '<string>',
'city' => '<string>',
'state' => '<string>',
'last_name' => '<string>',
'country_code' => '+91',
'address_line2' => '<string>',
'landmark' => '<string>',
'country' => 'India',
'business_name' => '<string>',
'tax_identification_number' => '<string>',
'is_default_shipping' => false
]
],
'status' => 'active',
'tags' => [
'<string>'
],
'attributes' => [
[
'key' => '<string>',
'value' => '<string>'
]
],
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers"
payload := strings.NewReader("{\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"loyalty_tier_id\": \"<string>\",\n \"loyalty_tier_starting_point\": 123,\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"country_code\": \"<string>\",\n \"customer_group_id\": \"<string>\",\n \"business\": {\n \"name\": \"<string>\",\n \"registered_address\": {\n \"first_name\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"address_line1\": \"<string>\",\n \"pincode\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"last_name\": \"<string>\",\n \"country_code\": \"+91\",\n \"address_line2\": \"<string>\",\n \"landmark\": \"<string>\",\n \"country\": \"India\",\n \"business_name\": \"<string>\",\n \"tax_identification_number\": \"<string>\",\n \"is_default_shipping\": false\n }\n },\n \"status\": \"active\",\n \"tags\": [\n \"<string>\"\n ],\n \"attributes\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"loyalty_tier_id\": \"<string>\",\n \"loyalty_tier_starting_point\": 123,\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"country_code\": \"<string>\",\n \"customer_group_id\": \"<string>\",\n \"business\": {\n \"name\": \"<string>\",\n \"registered_address\": {\n \"first_name\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"address_line1\": \"<string>\",\n \"pincode\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"last_name\": \"<string>\",\n \"country_code\": \"+91\",\n \"address_line2\": \"<string>\",\n \"landmark\": \"<string>\",\n \"country\": \"India\",\n \"business_name\": \"<string>\",\n \"tax_identification_number\": \"<string>\",\n \"is_default_shipping\": false\n }\n },\n \"status\": \"active\",\n \"tags\": [\n \"<string>\"\n ],\n \"attributes\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.api.commercengine.io/api/v1/{store_id}/admin/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"loyalty_tier_id\": \"<string>\",\n \"loyalty_tier_starting_point\": 123,\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"country_code\": \"<string>\",\n \"customer_group_id\": \"<string>\",\n \"business\": {\n \"name\": \"<string>\",\n \"registered_address\": {\n \"first_name\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"address_line1\": \"<string>\",\n \"pincode\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"last_name\": \"<string>\",\n \"country_code\": \"+91\",\n \"address_line2\": \"<string>\",\n \"landmark\": \"<string>\",\n \"country\": \"India\",\n \"business_name\": \"<string>\",\n \"tax_identification_number\": \"<string>\",\n \"is_default_shipping\": false\n }\n },\n \"status\": \"active\",\n \"tags\": [\n \"<string>\"\n ],\n \"attributes\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"success": true,
"content": {
"customer": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"profile_image_url": "<string>",
"country_code": "<string>",
"phone": "<string>",
"email": "<string>",
"is_phone_verified": true,
"is_email_verified": true,
"is_whatsapp_verified": true,
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"last_seen": "<string>",
"kyc_status": "pending",
"is_verified": true,
"customer_group_id": "<string>",
"tags": [
"<string>"
],
"business": {
"name": "<string>",
"business_type": "<string>",
"pan_number": "<string>",
"gstin": "<string>",
"is_registered_under_gst": true
},
"segments": [
{
"id": "<string>",
"name": "<string>"
}
],
"address": {
"first_name": "<string>",
"phone": "<string>",
"email": "<string>",
"address_line1": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"id": "<string>",
"last_name": "<string>",
"country_code": "<string>",
"address_line2": "<string>",
"landmark": "<string>",
"gstin": "<string>",
"business_name": "<string>",
"is_phone_verified": true,
"is_email_verified": true,
"is_default_shipping": true,
"is_default_billing": true,
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
},
"addresses": [
{
"first_name": "<string>",
"phone": "<string>",
"email": "<string>",
"address_line1": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"id": "<string>",
"last_name": "<string>",
"country_code": "<string>",
"address_line2": "<string>",
"landmark": "<string>",
"gstin": "<string>",
"business_name": "<string>",
"is_phone_verified": true,
"is_email_verified": true,
"is_default_shipping": true,
"is_default_billing": true,
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
],
"banking": [
{
"account_type": "inbound",
"account_name": "<string>",
"account_number": "<string>",
"ifsc_code": "<string>",
"bank_name": "<string>",
"id": "<string>",
"is_default": true,
"is_verified": true,
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
],
"loyalty": {
"customer_id": "<string>",
"customer_name": "<string>",
"membership_number": "<string>",
"points_earned": 123,
"points_redeemed": 123,
"points_balance": 123,
"total_spent": 123,
"total_orders": 123,
"lifetime_spent": 123,
"lifetime_orders": 123,
"date_of_join": "2023-11-07T05:31:56Z",
"date_of_assign": "2023-11-07T05:31:56Z",
"date_of_reset": "2023-11-07T05:31:56Z",
"current_tier": {
"id": "<string>",
"name": "<string>"
},
"next_tier": {
"id": "<string>",
"name": "<string>",
"total_spent_threshold": 1,
"total_orders_threshold": 1
},
"name": "<string>",
"renewal_type": "yearly",
"tier_upgrade_criteria": "total-spent"
},
"notification_preferences": {
"transactional": {
"email": true,
"sms": true,
"whatsapp": true
},
"promotional": {
"email": true,
"sms": true,
"whatsapp": true
},
"newsletter": {
"email": true,
"sms": true,
"whatsapp": true
}
},
"attributes": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"kind": "custom",
"link": {
"type": "kyc_document",
"document_type": "<string>"
},
"is_linked": true,
"value": "<string>",
"attribute_type": "String",
"is_readonly": true,
"is_pinned": true,
"active": true,
"is_visible": true,
"is_filterable": true,
"last_updated_at": "2023-11-07T05:31:56Z"
}
],
"metadata": {}
}
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"errors": {}
}